Page MenuHomePhabricator

Convert UniversalLanguageSelector to use extension registration
Closed, ResolvedPublic

Description

The UniversalLanguageSelector extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:33 PM
Amire80 triaged this task as Low priority.Mar 12 2015, 9:16 AM
Amire80 added a subscriber: Amire80.
Amire80 raised the priority of this task from Low to Normal.Mar 12 2015, 9:27 AM
Amire80 moved this task from Backlog to Upstream on the UniversalLanguageSelector board.
lcawte added a subscriber: lcawte.May 24 2015, 3:39 PM

So for some reason, this just generated a JSON for all of the skin resource loader modules.

@Legoktm - what happened?

Change 219795 had a related patch set uploaded (by Santhosh):
Migrate to JSON configuration based extension registration

https://gerrit.wikimedia.org/r/219795

santhosh claimed this task.Jun 22 2015, 9:53 AM
santhosh updated the task description. (Show Details)Jun 22 2015, 9:56 AM
santhosh added a project: LE-Sprint-88.
santhosh set Security to None.
santhosh moved this task from Backlog to In Review on the LE-Sprint-88 board.

Change 219795 merged by jenkins-bot:
Migrate to JSON configuration based extension registration

https://gerrit.wikimedia.org/r/219795

Paladox closed this task as Resolved.Jul 7 2015, 5:02 PM